Bug 239468 - math/sleef: fix build on powerpc64
Summary: math/sleef: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes M Dieterich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-26 21:52 UTC by Piotr Kubaj
Modified: 2019-08-19 23:34 UTC (History)
1 user (show)

See Also:
jmd: maintainer-feedback+


Attachments
patch (1.62 KB, patch)
2019-07-26 21:52 UTC, Piotr Kubaj
no flags Details | Diff
v2 (2.40 KB, patch)
2019-08-01 20:28 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (jmd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-26 21:52:02 UTC
Created attachment 206091 [details]
patch

Altivec needs {} for vectors instead of ().
Comment 1 Johannes M Dieterich freebsd_committer 2019-07-28 03:04:34 UTC
Approved, thanks!
Comment 2 Piotr Kubaj freebsd_committer 2019-08-01 20:28:50 UTC
Created attachment 206206 [details]
v2

Sorry, but another fix is necessary to fix packaging. lib/libsleefgnuabi.so is not built on powerpc64.
Comment 3 Johannes M Dieterich freebsd_committer 2019-08-01 23:16:07 UTC
That will make the usefulness of the port on ppc64 quite a bit lower, I'd think.

Assuming you poudriere tested this, LGTM.
Comment 4 commit-hook freebsd_committer 2019-08-19 23:34:20 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Aug 19 23:33:40 UTC 2019
New revision: 509385
URL: https://svnweb.freebsd.org/changeset/ports/509385

Log:
  math/sleef: fix build on powerpc64

  Altivec needs {} for vectors instead of ().
  lib/libsleefgnuabi.so is not built on powerpc64.

  PR:		239468
  Approved by:	jmd (maintainer), mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21216

Changes:
  head/math/sleef/Makefile
  head/math/sleef/files/
  head/math/sleef/files/patch-src_libm-tester_tester3.c
  head/math/sleef/pkg-plist